Get a customer API bank connection
curl --request GET \
--url https://api.dualentry.com/public/v2/bank-connections/{connection_id}/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.dualentry.com/public/v2/bank-connections/{connection_id}/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.dualentry.com/public/v2/bank-connections/{connection_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"id": 123,
"connection_source_id": "<string>",
"status": "<string>",
"institution_name": "<string>",
"successfully_aggregated_at": "2023-11-07T05:31:56Z",
"last_sync_at": "2023-11-07T05:31:56Z",
"accounts": [
{
"id": 123,
"account_id": "<string>",
"account_name": "<string>",
"status": "<string>",
"truncated_account_number": "<string>",
"currency_iso_4217_code": "<string>"
}
]
}{
"errors": {},
"success": false
}Bank Connections
Get a customer API bank connection
Retrieve one customer_api bank connection by DualEntry id.
GET
/
public
/
v2
/
bank-connections
/
{connection_id}
/
Get a customer API bank connection
Authorizations
Path Parameters
Response
OK
Date and time the record was created
Date and time the record was last updated
Show child attributes
Show child attributes
Last modified on September 8, 2026
Was this page helpful?